#include "compsprite.hpp"

using namespace yyybinbuff;

void appendtobinbuffer (const compsprite &a, yyybinbuff::binbuff &b)
{
  appendtobinbuffer (a.filebuf, b);
  appendtobinbuffer (a.name, b);
};

const yyybinbuff::binbuff::index readfrombinbuffer (compsprite &a, const yyybinbuff::binbuff &b, const yyybinbuff::binbuff::index pos)
{
  binbuff::index read, mypos=pos;

  read=readfrombinbuffer(a.filebuf,b,mypos);
  if (read<0) return read;
  mypos+=read;

  read=readfrombinbuffer(a.name,b,mypos);
  if (read<0) return read;
  mypos+=read;

  return mypos-pos;
};
