#include "sprite.hpp"

#include "eriksplugin.hpp"

#include <iostream>

#include <stdio.h>
#include <unistd.h>

sprite::sprite(sptr_compsprite &mycompsprite_)
  : mycompsprite(mycompsprite_)
{
  cout << "Uncompressing sprite ...";
  cout.flush();

  FILE *i;
  int sx,sy;

  eriksplugin ep;
  char *const argv[]={"sh","-c","identify -verbose - | egrep -i '^ *geometry:'|sed 's/^[^0-9]\\+\\([0-9]\\+\\)x\\([0-9]\\+\\).*$/\\1 \\2/'",0};
  startplugin("/bin/sh",argv,&ep);
  write(ep.sendtoplugin,&((*mycompsprite->filebuf)[0]),mycompsprite->filebuf->size());
  close(ep.sendtoplugin);
  ep.sendtoplugin=-1;
  i=fdopen(ep.recvfromplugin,"r");
  ep.recvfromplugin=-1;
  fscanf(i,"%d%d",&sx,&sy);
  fclose(i);
  killplugin(&ep);
  
  rgbamap.resize(sx,sy);

  char *const argv2[]={"sh","-c","convert - RGBA:-",0};
  startplugin("/bin/sh",argv2,&ep);
  write(ep.sendtoplugin,&((*mycompsprite->filebuf)[0]),mycompsprite->filebuf->size());
  close(ep.sendtoplugin);
  ep.sendtoplugin=-1;

  i=fdopen(ep.recvfromplugin,"rb");
  ep.recvfromplugin=-1;
  fread(rgbamap.getrawdatapointer(),sx*sy*4,1,i);

  killplugin(&ep);

  cout << " done\n";
  cout.flush();
};
